]> CyberLeo.Net >> Repos - FreeBSD/releng/9.2.git/blob - crypto/heimdal/lib/hdb/Makefile.in
- Copy stable/9 to releng/9.2 as part of the 9.2-RELEASE cycle.
[FreeBSD/releng/9.2.git] / crypto / heimdal / lib / hdb / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # $Id: Makefile.am 22490 2008-01-21 11:49:33Z lha $
18
19 # $Id: Makefile.am.common 10998 2002-05-19 18:35:37Z joda $
20
21 # $Id: Makefile.am.common 22488 2008-01-21 11:47:22Z lha $
22
23
24
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
44         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
45         $(top_srcdir)/cf/Makefile.am.common
46 noinst_PROGRAMS = test_dbinfo$(EXEEXT)
47 subdir = lib/hdb
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
50         $(top_srcdir)/cf/auth-modules.m4 $(top_srcdir)/cf/autobuild.m4 \
51         $(top_srcdir)/cf/broken-getaddrinfo.m4 \
52         $(top_srcdir)/cf/broken-glob.m4 \
53         $(top_srcdir)/cf/broken-realloc.m4 \
54         $(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
55         $(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
56         $(top_srcdir)/cf/capabilities.m4 \
57         $(top_srcdir)/cf/check-compile-et.m4 \
58         $(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
59         $(top_srcdir)/cf/check-man.m4 \
60         $(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
61         $(top_srcdir)/cf/check-type-extra.m4 \
62         $(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
63         $(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
64         $(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
65         $(top_srcdir)/cf/dlopen.m4 \
66         $(top_srcdir)/cf/find-func-no-libs.m4 \
67         $(top_srcdir)/cf/find-func-no-libs2.m4 \
68         $(top_srcdir)/cf/find-func.m4 \
69         $(top_srcdir)/cf/find-if-not-broken.m4 \
70         $(top_srcdir)/cf/framework-security.m4 \
71         $(top_srcdir)/cf/have-struct-field.m4 \
72         $(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
73         $(top_srcdir)/cf/krb-bigendian.m4 \
74         $(top_srcdir)/cf/krb-func-getlogin.m4 \
75         $(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
76         $(top_srcdir)/cf/krb-readline.m4 \
77         $(top_srcdir)/cf/krb-struct-spwd.m4 \
78         $(top_srcdir)/cf/krb-struct-winsize.m4 \
79         $(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/mips-abi.m4 \
80         $(top_srcdir)/cf/misc.m4 $(top_srcdir)/cf/need-proto.m4 \
81         $(top_srcdir)/cf/osfc2.m4 $(top_srcdir)/cf/otp.m4 \
82         $(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
83         $(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
84         $(top_srcdir)/cf/roken-frag.m4 \
85         $(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
86         $(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
87         $(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
88         $(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
89         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
90 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
91         $(ACLOCAL_M4)
92 mkinstalldirs = $(install_sh) -d
93 CONFIG_HEADER = $(top_builddir)/include/config.h
94 CONFIG_CLEAN_FILES =
95 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
96 am__vpath_adj = case $$p in \
97     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
98     *) f=$$p;; \
99   esac;
100 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
101 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" \
102         "$(DESTDIR)$(includedir)"
103 libLTLIBRARIES_INSTALL = $(INSTALL)
104 LTLIBRARIES = $(lib_LTLIBRARIES)
105 hdb_ldap_la_LIBADD =
106 am__hdb_ldap_la_SOURCES_DIST = hdb-ldap.c
107 @OPENLDAP_MODULE_TRUE@am_hdb_ldap_la_OBJECTS = hdb-ldap.lo
108 hdb_ldap_la_OBJECTS = $(am_hdb_ldap_la_OBJECTS)
109 hdb_ldap_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
110         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
111         $(hdb_ldap_la_LDFLAGS) $(LDFLAGS) -o $@
112 @OPENLDAP_MODULE_TRUE@am_hdb_ldap_la_rpath = -rpath $(libdir)
113 am__DEPENDENCIES_1 =
114 libhdb_la_DEPENDENCIES = $(am__DEPENDENCIES_1) ../krb5/libkrb5.la \
115         ../asn1/libasn1.la $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
116         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
117         $(am__DEPENDENCIES_1)
118 am__dist_libhdb_la_SOURCES_DIST = common.c db.c db3.c ext.c hdb-ldap.c \
119         hdb.c hdb_locl.h hdb-private.h keys.c keytab.c dbinfo.c mkey.c \
120         ndbm.c print.c
121 @OPENLDAP_MODULE_FALSE@am__objects_1 = libhdb_la-hdb-ldap.lo
122 dist_libhdb_la_OBJECTS = libhdb_la-common.lo libhdb_la-db.lo \
123         libhdb_la-db3.lo libhdb_la-ext.lo $(am__objects_1) \
124         libhdb_la-hdb.lo libhdb_la-keys.lo libhdb_la-keytab.lo \
125         libhdb_la-dbinfo.lo libhdb_la-mkey.lo libhdb_la-ndbm.lo \
126         libhdb_la-print.lo
127 am__objects_2 = libhdb_la-asn1_Salt.lo libhdb_la-asn1_Key.lo \
128         libhdb_la-asn1_Event.lo libhdb_la-asn1_HDBFlags.lo \
129         libhdb_la-asn1_GENERATION.lo \
130         libhdb_la-asn1_HDB_Ext_PKINIT_acl.lo \
131         libhdb_la-asn1_HDB_Ext_PKINIT_hash.lo \
132         libhdb_la-asn1_HDB_Ext_Constrained_delegation_acl.lo \
133         libhdb_la-asn1_HDB_Ext_Lan_Manager_OWF.lo \
134         libhdb_la-asn1_HDB_Ext_Password.lo \
135         libhdb_la-asn1_HDB_Ext_Aliases.lo \
136         libhdb_la-asn1_HDB_extension.lo \
137         libhdb_la-asn1_HDB_extensions.lo libhdb_la-asn1_hdb_entry.lo \
138         libhdb_la-asn1_hdb_entry_alias.lo
139 am__objects_3 = $(am__objects_2) libhdb_la-hdb_err.lo
140 nodist_libhdb_la_OBJECTS = $(am__objects_3)
141 libhdb_la_OBJECTS = $(dist_libhdb_la_OBJECTS) \
142         $(nodist_libhdb_la_OBJECTS)
143 libhdb_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
144         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
145         $(libhdb_la_LDFLAGS) $(LDFLAGS) -o $@
146 PROGRAMS = $(noinst_PROGRAMS)
147 am_test_dbinfo_OBJECTS = test_dbinfo.$(OBJEXT)
148 test_dbinfo_OBJECTS = $(am_test_dbinfo_OBJECTS)
149 test_dbinfo_LDADD = $(LDADD)
150 test_dbinfo_DEPENDENCIES = libhdb.la $(am__DEPENDENCIES_1) \
151         ../krb5/libkrb5.la ../asn1/libasn1.la $(am__DEPENDENCIES_1) \
152         $(am__DEPENDENCIES_1)
153 DEFAULT_INCLUDES = -I. -I$(top_builddir)/include@am__isrc@
154 depcomp =
155 am__depfiles_maybe =
156 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
157         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
158 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
159         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
160         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
161 CCLD = $(CC)
162 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
163         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
164         $(LDFLAGS) -o $@
165 SOURCES = $(hdb_ldap_la_SOURCES) $(dist_libhdb_la_SOURCES) \
166         $(nodist_libhdb_la_SOURCES) $(test_dbinfo_SOURCES)
167 DIST_SOURCES = $(am__hdb_ldap_la_SOURCES_DIST) \
168         $(am__dist_libhdb_la_SOURCES_DIST) $(test_dbinfo_SOURCES)
169 includeHEADERS_INSTALL = $(INSTALL_HEADER)
170 nodist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
171 HEADERS = $(include_HEADERS) $(nodist_include_HEADERS)
172 ETAGS = etags
173 CTAGS = ctags
174 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
175 ACLOCAL = @ACLOCAL@
176 AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
177 AMTAR = @AMTAR@
178 AR = @AR@
179 AUTOCONF = @AUTOCONF@
180 AUTOHEADER = @AUTOHEADER@
181 AUTOMAKE = @AUTOMAKE@
182 AWK = @AWK@
183 CANONICAL_HOST = @CANONICAL_HOST@
184 CATMAN = @CATMAN@
185 CATMANEXT = @CATMANEXT@
186 CC = @CC@
187 CFLAGS = @CFLAGS@
188 COMPILE_ET = @COMPILE_ET@
189 CPP = @CPP@
190 CPPFLAGS = @CPPFLAGS@
191 CXX = @CXX@
192 CXXCPP = @CXXCPP@
193 CXXFLAGS = @CXXFLAGS@
194 CYGPATH_W = @CYGPATH_W@
195 DBLIB = @DBLIB@
196 DEFS = @DEFS@
197 DIR_com_err = @DIR_com_err@
198 DIR_hcrypto = @DIR_hcrypto@
199 DIR_hdbdir = @DIR_hdbdir@
200 DIR_roken = @DIR_roken@
201 ECHO = @ECHO@
202 ECHO_C = @ECHO_C@
203 ECHO_N = @ECHO_N@
204 ECHO_T = @ECHO_T@
205 EGREP = @EGREP@
206 EXEEXT = @EXEEXT@
207 F77 = @F77@
208 FFLAGS = @FFLAGS@
209 GREP = @GREP@
210 GROFF = @GROFF@
211 INCLUDES_roken = @INCLUDES_roken@
212 INCLUDE_hcrypto = @INCLUDE_hcrypto@
213 INCLUDE_hesiod = @INCLUDE_hesiod@
214 INCLUDE_krb4 = @INCLUDE_krb4@
215 INCLUDE_openldap = @INCLUDE_openldap@
216 INCLUDE_readline = @INCLUDE_readline@
217 INSTALL = @INSTALL@
218 INSTALL_DATA = @INSTALL_DATA@
219 INSTALL_PROGRAM = @INSTALL_PROGRAM@
220 INSTALL_SCRIPT = @INSTALL_SCRIPT@
221 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
222 LDFLAGS = @LDFLAGS@
223 LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
224 LEX = @LEX@
225 LEXLIB = @LEXLIB@
226 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
227 LIBADD_roken = @LIBADD_roken@
228 LIBOBJS = @LIBOBJS@
229 LIBS = @LIBS@
230 LIBTOOL = @LIBTOOL@
231 LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
232 LIB_NDBM = @LIB_NDBM@
233 LIB_XauFileName = @LIB_XauFileName@
234 LIB_XauReadAuth = @LIB_XauReadAuth@
235 LIB_XauWriteAuth = @LIB_XauWriteAuth@
236 LIB_bswap16 = @LIB_bswap16@
237 LIB_bswap32 = @LIB_bswap32@
238 LIB_com_err = @LIB_com_err@
239 LIB_com_err_a = @LIB_com_err_a@
240 LIB_com_err_so = @LIB_com_err_so@
241 LIB_crypt = @LIB_crypt@
242 LIB_db_create = @LIB_db_create@
243 LIB_dbm_firstkey = @LIB_dbm_firstkey@
244 LIB_dbopen = @LIB_dbopen@
245 LIB_dlopen = @LIB_dlopen@
246 LIB_dn_expand = @LIB_dn_expand@
247 LIB_door_create = @LIB_door_create@
248 LIB_el_init = @LIB_el_init@
249 LIB_freeaddrinfo = @LIB_freeaddrinfo@
250 LIB_gai_strerror = @LIB_gai_strerror@
251 LIB_getaddrinfo = @LIB_getaddrinfo@
252 LIB_gethostbyname = @LIB_gethostbyname@
253 LIB_gethostbyname2 = @LIB_gethostbyname2@
254 LIB_getnameinfo = @LIB_getnameinfo@
255 LIB_getpwnam_r = @LIB_getpwnam_r@
256 LIB_getsockopt = @LIB_getsockopt@
257 LIB_hcrypto = @LIB_hcrypto@
258 LIB_hcrypto_a = @LIB_hcrypto_a@
259 LIB_hcrypto_appl = @LIB_hcrypto_appl@
260 LIB_hcrypto_so = @LIB_hcrypto_so@
261 LIB_hesiod = @LIB_hesiod@
262 LIB_hstrerror = @LIB_hstrerror@
263 LIB_kdb = @LIB_kdb@
264 LIB_krb4 = @LIB_krb4@
265 LIB_loadquery = @LIB_loadquery@
266 LIB_logout = @LIB_logout@
267 LIB_logwtmp = @LIB_logwtmp@
268 LIB_openldap = @LIB_openldap@
269 LIB_openpty = @LIB_openpty@
270 LIB_otp = @LIB_otp@
271 LIB_pidfile = @LIB_pidfile@
272 LIB_readline = @LIB_readline@
273 LIB_res_ndestroy = @LIB_res_ndestroy@
274 LIB_res_nsearch = @LIB_res_nsearch@
275 LIB_res_search = @LIB_res_search@
276 LIB_roken = @LIB_roken@
277 LIB_security = @LIB_security@
278 LIB_setsockopt = @LIB_setsockopt@
279 LIB_socket = @LIB_socket@
280 LIB_syslog = @LIB_syslog@
281 LIB_tgetent = @LIB_tgetent@
282 LN_S = @LN_S@
283 LTLIBOBJS = @LTLIBOBJS@
284 MAINT = @MAINT@
285 MAKEINFO = @MAKEINFO@
286 MKDIR_P = @MKDIR_P@
287 NROFF = @NROFF@
288 OBJEXT = @OBJEXT@
289 PACKAGE = @PACKAGE@
290 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
291 PACKAGE_NAME = @PACKAGE_NAME@
292 PACKAGE_STRING = @PACKAGE_STRING@
293 PACKAGE_TARNAME = @PACKAGE_TARNAME@
294 PACKAGE_VERSION = @PACKAGE_VERSION@
295 PATH_SEPARATOR = @PATH_SEPARATOR@
296 PTHREADS_CFLAGS = @PTHREADS_CFLAGS@
297 PTHREADS_LIBS = @PTHREADS_LIBS@
298 RANLIB = @RANLIB@
299 SET_MAKE = @SET_MAKE@
300 SHELL = @SHELL@
301 STRIP = @STRIP@
302 VERSION = @VERSION@
303 VERSIONING = @VERSIONING@
304 VOID_RETSIGTYPE = @VOID_RETSIGTYPE@
305 WFLAGS = @WFLAGS@
306 WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
307 WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
308 XMKMF = @XMKMF@
309 X_CFLAGS = @X_CFLAGS@
310 X_EXTRA_LIBS = @X_EXTRA_LIBS@
311 X_LIBS = @X_LIBS@
312 X_PRE_LIBS = @X_PRE_LIBS@
313 YACC = @YACC@
314 YFLAGS = @YFLAGS@
315 abs_builddir = @abs_builddir@
316 abs_srcdir = @abs_srcdir@
317 abs_top_builddir = @abs_top_builddir@
318 abs_top_srcdir = @abs_top_srcdir@
319 ac_ct_CC = @ac_ct_CC@
320 ac_ct_CXX = @ac_ct_CXX@
321 ac_ct_F77 = @ac_ct_F77@
322 am__leading_dot = @am__leading_dot@
323 am__tar = @am__tar@
324 am__untar = @am__untar@
325 bindir = @bindir@
326 build = @build@
327 build_alias = @build_alias@
328 build_cpu = @build_cpu@
329 build_os = @build_os@
330 build_vendor = @build_vendor@
331 builddir = @builddir@
332 datadir = @datadir@
333 datarootdir = @datarootdir@
334 docdir = @docdir@
335 dpagaix_cflags = @dpagaix_cflags@
336 dpagaix_ldadd = @dpagaix_ldadd@
337 dpagaix_ldflags = @dpagaix_ldflags@
338 dvidir = @dvidir@
339 exec_prefix = @exec_prefix@
340 host = @host@
341 host_alias = @host_alias@
342 host_cpu = @host_cpu@
343 host_os = @host_os@
344 host_vendor = @host_vendor@
345 htmldir = @htmldir@
346 includedir = @includedir@
347 infodir = @infodir@
348 install_sh = @install_sh@
349 libdir = @libdir@
350 libexecdir = @libexecdir@
351 localedir = @localedir@
352 localstatedir = @localstatedir@
353 mandir = @mandir@
354 mkdir_p = @mkdir_p@
355 oldincludedir = @oldincludedir@
356 pdfdir = @pdfdir@
357 prefix = @prefix@
358 program_transform_name = @program_transform_name@
359 psdir = @psdir@
360 sbindir = @sbindir@
361 sharedstatedir = @sharedstatedir@
362 srcdir = @srcdir@
363 sysconfdir = @sysconfdir@
364 target_alias = @target_alias@
365 top_builddir = @top_builddir@
366 top_srcdir = @top_srcdir@
367 SUFFIXES = .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
368 AM_CPPFLAGS = -I$(top_builddir)/include $(INCLUDES_roken) -I../asn1 \
369         -I$(srcdir)/../asn1 $(INCLUDE_hcrypto) $(INCLUDE_openldap)
370 @do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
371 AM_CFLAGS = $(WFLAGS)
372 CP = cp
373 buildinclude = $(top_builddir)/include
374 LIB_getattr = @LIB_getattr@
375 LIB_getpwent_r = @LIB_getpwent_r@
376 LIB_odm_initialize = @LIB_odm_initialize@
377 LIB_setpcred = @LIB_setpcred@
378 HESIODLIB = @HESIODLIB@
379 HESIODINCLUDE = @HESIODINCLUDE@
380 NROFF_MAN = groff -mandoc -Tascii
381 LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
382 @KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
383 @KRB5_TRUE@     $(top_builddir)/lib/asn1/libasn1.la
384
385 @KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
386 @KRB5_TRUE@LIB_tsasl = $(top_builddir)/lib/tsasl/libtsasl.la
387 @DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
388 BUILT_SOURCES = \
389         $(gen_files_hdb:.x=.c)  \
390         hdb_err.c \
391         hdb_err.h
392
393 gen_files_hdb = \
394         asn1_Salt.x \
395         asn1_Key.x \
396         asn1_Event.x \
397         asn1_HDBFlags.x \
398         asn1_GENERATION.x \
399         asn1_HDB_Ext_PKINIT_acl.x \
400         asn1_HDB_Ext_PKINIT_hash.x \
401         asn1_HDB_Ext_Constrained_delegation_acl.x \
402         asn1_HDB_Ext_Lan_Manager_OWF.x \
403         asn1_HDB_Ext_Password.x \
404         asn1_HDB_Ext_Aliases.x \
405         asn1_HDB_extension.x \
406         asn1_HDB_extensions.x \
407         asn1_hdb_entry.x \
408         asn1_hdb_entry_alias.x
409
410 CLEANFILES = $(BUILT_SOURCES) $(gen_files_hdb) hdb_asn1.h hdb_asn1_files
411 LDADD = libhdb.la \
412         $(LIB_openldap) \
413         ../krb5/libkrb5.la \
414         ../asn1/libasn1.la \
415         $(LIB_hcrypto) \
416         $(LIB_roken) \
417         $(LIB_ldopen)
418
419 @OPENLDAP_MODULE_TRUE@ldap_so = hdb_ldap.la
420 @OPENLDAP_MODULE_TRUE@hdb_ldap_la_SOURCES = hdb-ldap.c
421 @OPENLDAP_MODULE_TRUE@hdb_ldap_la_LDFLAGS = -module
422 @OPENLDAP_MODULE_FALSE@ldap = hdb-ldap.c
423 lib_LTLIBRARIES = libhdb.la $(ldap_so)
424 libhdb_la_LDFLAGS = -version-info 11:0:2
425 dist_libhdb_la_SOURCES = \
426         common.c                                \
427         db.c                                    \
428         db3.c                                   \
429         ext.c                                   \
430         $(ldap)                                 \
431         hdb.c                                   \
432         hdb_locl.h                              \
433         hdb-private.h                           \
434         keys.c                                  \
435         keytab.c                                \
436         dbinfo.c                                \
437         mkey.c                                  \
438         ndbm.c                                  \
439         print.c
440
441 nodist_libhdb_la_SOURCES = $(BUILT_SOURCES)
442 include_HEADERS = hdb.h hdb-protos.h
443 nodist_include_HEADERS = hdb_err.h hdb_asn1.h
444 libhdb_la_CPPFLAGS = -DHDB_DB_DIR=\"$(DIR_hdbdir)\"
445 libhdb_la_LIBADD = \
446         $(LIB_com_err) \
447         ../krb5/libkrb5.la \
448         ../asn1/libasn1.la \
449         $(LIBADD_roken) \
450         $(LIB_openldap) \
451         $(LIB_dlopen) \
452         $(DBLIB) \
453         $(LIB_NDBM)
454
455 test_dbinfo_SOURCES = test_dbinfo.c
456 test_dbinfo_LIBS = libhdb.la
457 EXTRA_DIST = hdb.asn1 hdb_err.et hdb.schema
458 all: $(BUILT_SOURCES)
459         $(MAKE) $(AM_MAKEFLAGS) all-am
460
461 .SUFFIXES:
462 .SUFFIXES: .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
463 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
464         @for dep in $?; do \
465           case '$(am__configure_deps)' in \
466             *$$dep*) \
467               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
468                 && exit 0; \
469               exit 1;; \
470           esac; \
471         done; \
472         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  --ignore-deps lib/hdb/Makefile'; \
473         cd $(top_srcdir) && \
474           $(AUTOMAKE) --foreign  --ignore-deps lib/hdb/Makefile
475 .PRECIOUS: Makefile
476 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
477         @case '$?' in \
478           *config.status*) \
479             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
480           *) \
481             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
482             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
483         esac;
484
485 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
486         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
487
488 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
489         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
490 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
491         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
492 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
493         @$(NORMAL_INSTALL)
494         test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
495         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
496           if test -f $$p; then \
497             f=$(am__strip_dir) \
498             echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
499             $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
500           else :; fi; \
501         done
502
503 uninstall-libLTLIBRARIES:
504         @$(NORMAL_UNINSTALL)
505         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
506           p=$(am__strip_dir) \
507           echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
508           $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
509         done
510
511 clean-libLTLIBRARIES:
512         -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
513         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
514           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
515           test "$$dir" != "$$p" || dir=.; \
516           echo "rm -f \"$${dir}/so_locations\""; \
517           rm -f "$${dir}/so_locations"; \
518         done
519 hdb_ldap.la: $(hdb_ldap_la_OBJECTS) $(hdb_ldap_la_DEPENDENCIES) 
520         $(hdb_ldap_la_LINK) $(am_hdb_ldap_la_rpath) $(hdb_ldap_la_OBJECTS) $(hdb_ldap_la_LIBADD) $(LIBS)
521 libhdb.la: $(libhdb_la_OBJECTS) $(libhdb_la_DEPENDENCIES) 
522         $(libhdb_la_LINK) -rpath $(libdir) $(libhdb_la_OBJECTS) $(libhdb_la_LIBADD) $(LIBS)
523
524 clean-noinstPROGRAMS:
525         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
526           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
527           echo " rm -f $$p $$f"; \
528           rm -f $$p $$f ; \
529         done
530 test_dbinfo$(EXEEXT): $(test_dbinfo_OBJECTS) $(test_dbinfo_DEPENDENCIES) 
531         @rm -f test_dbinfo$(EXEEXT)
532         $(LINK) $(test_dbinfo_OBJECTS) $(test_dbinfo_LDADD) $(LIBS)
533
534 mostlyclean-compile:
535         -rm -f *.$(OBJEXT)
536
537 distclean-compile:
538         -rm -f *.tab.c
539
540 .c.o:
541         $(COMPILE) -c $<
542
543 .c.obj:
544         $(COMPILE) -c `$(CYGPATH_W) '$<'`
545
546 .c.lo:
547         $(LTCOMPILE) -c -o $@ $<
548
549 libhdb_la-common.lo: common.c
550         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-common.lo `test -f 'common.c' || echo '$(srcdir)/'`common.c
551
552 libhdb_la-db.lo: db.c
553         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-db.lo `test -f 'db.c' || echo '$(srcdir)/'`db.c
554
555 libhdb_la-db3.lo: db3.c
556         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-db3.lo `test -f 'db3.c' || echo '$(srcdir)/'`db3.c
557
558 libhdb_la-ext.lo: ext.c
559         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-ext.lo `test -f 'ext.c' || echo '$(srcdir)/'`ext.c
560
561 libhdb_la-hdb-ldap.lo: hdb-ldap.c
562         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-hdb-ldap.lo `test -f 'hdb-ldap.c' || echo '$(srcdir)/'`hdb-ldap.c
563
564 libhdb_la-hdb.lo: hdb.c
565         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-hdb.lo `test -f 'hdb.c' || echo '$(srcdir)/'`hdb.c
566
567 libhdb_la-keys.lo: keys.c
568         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-keys.lo `test -f 'keys.c' || echo '$(srcdir)/'`keys.c
569
570 libhdb_la-keytab.lo: keytab.c
571         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-keytab.lo `test -f 'keytab.c' || echo '$(srcdir)/'`keytab.c
572
573 libhdb_la-dbinfo.lo: dbinfo.c
574         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-dbinfo.lo `test -f 'dbinfo.c' || echo '$(srcdir)/'`dbinfo.c
575
576 libhdb_la-mkey.lo: mkey.c
577         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-mkey.lo `test -f 'mkey.c' || echo '$(srcdir)/'`mkey.c
578
579 libhdb_la-ndbm.lo: ndbm.c
580         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-ndbm.lo `test -f 'ndbm.c' || echo '$(srcdir)/'`ndbm.c
581
582 libhdb_la-print.lo: print.c
583         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-print.lo `test -f 'print.c' || echo '$(srcdir)/'`print.c
584
585 libhdb_la-asn1_Salt.lo: asn1_Salt.c
586         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_Salt.lo `test -f 'asn1_Salt.c' || echo '$(srcdir)/'`asn1_Salt.c
587
588 libhdb_la-asn1_Key.lo: asn1_Key.c
589         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_Key.lo `test -f 'asn1_Key.c' || echo '$(srcdir)/'`asn1_Key.c
590
591 libhdb_la-asn1_Event.lo: asn1_Event.c
592         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_Event.lo `test -f 'asn1_Event.c' || echo '$(srcdir)/'`asn1_Event.c
593
594 libhdb_la-asn1_HDBFlags.lo: asn1_HDBFlags.c
595         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDBFlags.lo `test -f 'asn1_HDBFlags.c' || echo '$(srcdir)/'`asn1_HDBFlags.c
596
597 libhdb_la-asn1_GENERATION.lo: asn1_GENERATION.c
598         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_GENERATION.lo `test -f 'asn1_GENERATION.c' || echo '$(srcdir)/'`asn1_GENERATION.c
599
600 libhdb_la-asn1_HDB_Ext_PKINIT_acl.lo: asn1_HDB_Ext_PKINIT_acl.c
601         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_Ext_PKINIT_acl.lo `test -f 'asn1_HDB_Ext_PKINIT_acl.c' || echo '$(srcdir)/'`asn1_HDB_Ext_PKINIT_acl.c
602
603 libhdb_la-asn1_HDB_Ext_PKINIT_hash.lo: asn1_HDB_Ext_PKINIT_hash.c
604         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_Ext_PKINIT_hash.lo `test -f 'asn1_HDB_Ext_PKINIT_hash.c' || echo '$(srcdir)/'`asn1_HDB_Ext_PKINIT_hash.c
605
606 libhdb_la-asn1_HDB_Ext_Constrained_delegation_acl.lo: asn1_HDB_Ext_Constrained_delegation_acl.c
607         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_Ext_Constrained_delegation_acl.lo `test -f 'asn1_HDB_Ext_Constrained_delegation_acl.c' || echo '$(srcdir)/'`asn1_HDB_Ext_Constrained_delegation_acl.c
608
609 libhdb_la-asn1_HDB_Ext_Lan_Manager_OWF.lo: asn1_HDB_Ext_Lan_Manager_OWF.c
610         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_Ext_Lan_Manager_OWF.lo `test -f 'asn1_HDB_Ext_Lan_Manager_OWF.c' || echo '$(srcdir)/'`asn1_HDB_Ext_Lan_Manager_OWF.c
611
612 libhdb_la-asn1_HDB_Ext_Password.lo: asn1_HDB_Ext_Password.c
613         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_Ext_Password.lo `test -f 'asn1_HDB_Ext_Password.c' || echo '$(srcdir)/'`asn1_HDB_Ext_Password.c
614
615 libhdb_la-asn1_HDB_Ext_Aliases.lo: asn1_HDB_Ext_Aliases.c
616         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_Ext_Aliases.lo `test -f 'asn1_HDB_Ext_Aliases.c' || echo '$(srcdir)/'`asn1_HDB_Ext_Aliases.c
617
618 libhdb_la-asn1_HDB_extension.lo: asn1_HDB_extension.c
619         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_extension.lo `test -f 'asn1_HDB_extension.c' || echo '$(srcdir)/'`asn1_HDB_extension.c
620
621 libhdb_la-asn1_HDB_extensions.lo: asn1_HDB_extensions.c
622         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_HDB_extensions.lo `test -f 'asn1_HDB_extensions.c' || echo '$(srcdir)/'`asn1_HDB_extensions.c
623
624 libhdb_la-asn1_hdb_entry.lo: asn1_hdb_entry.c
625         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_hdb_entry.lo `test -f 'asn1_hdb_entry.c' || echo '$(srcdir)/'`asn1_hdb_entry.c
626
627 libhdb_la-asn1_hdb_entry_alias.lo: asn1_hdb_entry_alias.c
628         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-asn1_hdb_entry_alias.lo `test -f 'asn1_hdb_entry_alias.c' || echo '$(srcdir)/'`asn1_hdb_entry_alias.c
629
630 libhdb_la-hdb_err.lo: hdb_err.c
631         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhdb_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhdb_la-hdb_err.lo `test -f 'hdb_err.c' || echo '$(srcdir)/'`hdb_err.c
632
633 mostlyclean-libtool:
634         -rm -f *.lo
635
636 clean-libtool:
637         -rm -rf .libs _libs
638 install-includeHEADERS: $(include_HEADERS)
639         @$(NORMAL_INSTALL)
640         test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
641         @list='$(include_HEADERS)'; for p in $$list; do \
642           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
643           f=$(am__strip_dir) \
644           echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
645           $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
646         done
647
648 uninstall-includeHEADERS:
649         @$(NORMAL_UNINSTALL)
650         @list='$(include_HEADERS)'; for p in $$list; do \
651           f=$(am__strip_dir) \
652           echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
653           rm -f "$(DESTDIR)$(includedir)/$$f"; \
654         done
655 install-nodist_includeHEADERS: $(nodist_include_HEADERS)
656         @$(NORMAL_INSTALL)
657         test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
658         @list='$(nodist_include_HEADERS)'; for p in $$list; do \
659           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
660           f=$(am__strip_dir) \
661           echo " $(nodist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
662           $(nodist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
663         done
664
665 uninstall-nodist_includeHEADERS:
666         @$(NORMAL_UNINSTALL)
667         @list='$(nodist_include_HEADERS)'; for p in $$list; do \
668           f=$(am__strip_dir) \
669           echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
670           rm -f "$(DESTDIR)$(includedir)/$$f"; \
671         done
672
673 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
674         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
675         unique=`for i in $$list; do \
676             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
677           done | \
678           $(AWK) '    { files[$$0] = 1; } \
679                END { for (i in files) print i; }'`; \
680         mkid -fID $$unique
681 tags: TAGS
682
683 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
684                 $(TAGS_FILES) $(LISP)
685         tags=; \
686         here=`pwd`; \
687         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
688         unique=`for i in $$list; do \
689             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
690           done | \
691           $(AWK) '    { files[$$0] = 1; } \
692                END { for (i in files) print i; }'`; \
693         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
694           test -n "$$unique" || unique=$$empty_fix; \
695           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
696             $$tags $$unique; \
697         fi
698 ctags: CTAGS
699 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
700                 $(TAGS_FILES) $(LISP)
701         tags=; \
702         here=`pwd`; \
703         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
704         unique=`for i in $$list; do \
705             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
706           done | \
707           $(AWK) '    { files[$$0] = 1; } \
708                END { for (i in files) print i; }'`; \
709         test -z "$(CTAGS_ARGS)$$tags$$unique" \
710           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
711              $$tags $$unique
712
713 GTAGS:
714         here=`$(am__cd) $(top_builddir) && pwd` \
715           && cd $(top_srcdir) \
716           && gtags -i $(GTAGS_ARGS) $$here
717
718 distclean-tags:
719         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
720
721 distdir: $(DISTFILES)
722         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
723         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
724         list='$(DISTFILES)'; \
725           dist_files=`for file in $$list; do echo $$file; done | \
726           sed -e "s|^$$srcdirstrip/||;t" \
727               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
728         case $$dist_files in \
729           */*) $(MKDIR_P) `echo "$$dist_files" | \
730                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
731                            sort -u` ;; \
732         esac; \
733         for file in $$dist_files; do \
734           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
735           if test -d $$d/$$file; then \
736             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
737             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
738               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
739             fi; \
740             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
741           else \
742             test -f $(distdir)/$$file \
743             || cp -p $$d/$$file $(distdir)/$$file \
744             || exit 1; \
745           fi; \
746         done
747         $(MAKE) $(AM_MAKEFLAGS) \
748           top_distdir="$(top_distdir)" distdir="$(distdir)" \
749           dist-hook
750 check-am: all-am
751         $(MAKE) $(AM_MAKEFLAGS) check-local
752 check: $(BUILT_SOURCES)
753         $(MAKE) $(AM_MAKEFLAGS) check-am
754 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) all-local
755 installdirs:
756         for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"; do \
757           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
758         done
759 install: $(BUILT_SOURCES)
760         $(MAKE) $(AM_MAKEFLAGS) install-am
761 install-exec: install-exec-am
762 install-data: install-data-am
763 uninstall: uninstall-am
764
765 install-am: all-am
766         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
767
768 installcheck: installcheck-am
769 install-strip:
770         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
771           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
772           `test -z '$(STRIP)' || \
773             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
774 mostlyclean-generic:
775
776 clean-generic:
777         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
778
779 distclean-generic:
780         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
781
782 maintainer-clean-generic:
783         @echo "This command is intended for maintainers to use"
784         @echo "it deletes files that may require special tools to rebuild."
785         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
786 clean: clean-am
787
788 clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
789         clean-noinstPROGRAMS mostlyclean-am
790
791 distclean: distclean-am
792         -rm -f Makefile
793 distclean-am: clean-am distclean-compile distclean-generic \
794         distclean-tags
795
796 dvi: dvi-am
797
798 dvi-am:
799
800 html: html-am
801
802 info: info-am
803
804 info-am:
805
806 install-data-am: install-includeHEADERS install-nodist_includeHEADERS
807         @$(NORMAL_INSTALL)
808         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
809
810 install-dvi: install-dvi-am
811
812 install-exec-am: install-libLTLIBRARIES
813         @$(NORMAL_INSTALL)
814         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
815
816 install-html: install-html-am
817
818 install-info: install-info-am
819
820 install-man:
821
822 install-pdf: install-pdf-am
823
824 install-ps: install-ps-am
825
826 installcheck-am:
827
828 maintainer-clean: maintainer-clean-am
829         -rm -f Makefile
830 maintainer-clean-am: distclean-am maintainer-clean-generic
831
832 mostlyclean: mostlyclean-am
833
834 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
835         mostlyclean-libtool
836
837 pdf: pdf-am
838
839 pdf-am:
840
841 ps: ps-am
842
843 ps-am:
844
845 uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES \
846         uninstall-nodist_includeHEADERS
847         @$(NORMAL_INSTALL)
848         $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
849
850 .MAKE: install-am install-data-am install-exec-am install-strip \
851         uninstall-am
852
853 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
854         clean clean-generic clean-libLTLIBRARIES clean-libtool \
855         clean-noinstPROGRAMS ctags dist-hook distclean \
856         distclean-compile distclean-generic distclean-libtool \
857         distclean-tags distdir dvi dvi-am html html-am info info-am \
858         install install-am install-data install-data-am \
859         install-data-hook install-dvi install-dvi-am install-exec \
860         install-exec-am install-exec-hook install-html install-html-am \
861         install-includeHEADERS install-info install-info-am \
862         install-libLTLIBRARIES install-man \
863         install-nodist_includeHEADERS install-pdf install-pdf-am \
864         install-ps install-ps-am install-strip installcheck \
865         installcheck-am installdirs maintainer-clean \
866         maintainer-clean-generic mostlyclean mostlyclean-compile \
867         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
868         tags uninstall uninstall-am uninstall-hook \
869         uninstall-includeHEADERS uninstall-libLTLIBRARIES \
870         uninstall-nodist_includeHEADERS
871
872
873 install-suid-programs:
874         @foo='$(bin_SUIDS)'; \
875         for file in $$foo; do \
876         x=$(DESTDIR)$(bindir)/$$file; \
877         if chown 0:0 $$x && chmod u+s $$x; then :; else \
878         echo "*"; \
879         echo "* Failed to install $$x setuid root"; \
880         echo "*"; \
881         fi; done
882
883 install-exec-hook: install-suid-programs
884
885 install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
886         @foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
887         for f in $$foo; do \
888                 f=`basename $$f`; \
889                 if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
890                 else file="$$f"; fi; \
891                 if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
892                 : ; else \
893                         echo " $(CP) $$file $(buildinclude)/$$f"; \
894                         $(CP) $$file $(buildinclude)/$$f; \
895                 fi ; \
896         done ; \
897         foo='$(nobase_include_HEADERS)'; \
898         for f in $$foo; do \
899                 if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
900                 else file="$$f"; fi; \
901                 $(mkdir_p) $(buildinclude)/`dirname $$f` ; \
902                 if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
903                 : ; else \
904                         echo " $(CP) $$file $(buildinclude)/$$f"; \
905                         $(CP) $$file $(buildinclude)/$$f; \
906                 fi ; \
907         done
908
909 all-local: install-build-headers
910
911 check-local::
912         @if test '$(CHECK_LOCAL)' = "no-check-local"; then \
913           foo=''; elif test '$(CHECK_LOCAL)'; then \
914           foo='$(CHECK_LOCAL)'; else \
915           foo='$(PROGRAMS)'; fi; \
916           if test "$$foo"; then \
917           failed=0; all=0; \
918           for i in $$foo; do \
919             all=`expr $$all + 1`; \
920             if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
921               echo "PASS: $$i"; \
922             else \
923               echo "FAIL: $$i"; \
924               failed=`expr $$failed + 1`; \
925             fi; \
926           done; \
927           if test "$$failed" -eq 0; then \
928             banner="All $$all tests passed"; \
929           else \
930             banner="$$failed of $$all tests failed"; \
931           fi; \
932           dashes=`echo "$$banner" | sed s/./=/g`; \
933           echo "$$dashes"; \
934           echo "$$banner"; \
935           echo "$$dashes"; \
936           test "$$failed" -eq 0 || exit 1; \
937         fi
938
939 .x.c:
940         @cmp -s $< $@ 2> /dev/null || cp $< $@
941 #NROFF_MAN = nroff -man
942 .1.cat1:
943         $(NROFF_MAN) $< > $@
944 .3.cat3:
945         $(NROFF_MAN) $< > $@
946 .5.cat5:
947         $(NROFF_MAN) $< > $@
948 .8.cat8:
949         $(NROFF_MAN) $< > $@
950
951 dist-cat1-mans:
952         @foo='$(man1_MANS)'; \
953         bar='$(man_MANS)'; \
954         for i in $$bar; do \
955         case $$i in \
956         *.1) foo="$$foo $$i";; \
957         esac; done ;\
958         for i in $$foo; do \
959                 x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
960                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
961                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
962         done
963
964 dist-cat3-mans:
965         @foo='$(man3_MANS)'; \
966         bar='$(man_MANS)'; \
967         for i in $$bar; do \
968         case $$i in \
969         *.3) foo="$$foo $$i";; \
970         esac; done ;\
971         for i in $$foo; do \
972                 x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
973                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
974                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
975         done
976
977 dist-cat5-mans:
978         @foo='$(man5_MANS)'; \
979         bar='$(man_MANS)'; \
980         for i in $$bar; do \
981         case $$i in \
982         *.5) foo="$$foo $$i";; \
983         esac; done ;\
984         for i in $$foo; do \
985                 x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
986                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
987                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
988         done
989
990 dist-cat8-mans:
991         @foo='$(man8_MANS)'; \
992         bar='$(man_MANS)'; \
993         for i in $$bar; do \
994         case $$i in \
995         *.8) foo="$$foo $$i";; \
996         esac; done ;\
997         for i in $$foo; do \
998                 x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
999                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1000                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1001         done
1002
1003 dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1004
1005 install-cat-mans:
1006         $(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1007
1008 uninstall-cat-mans:
1009         $(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1010
1011 install-data-hook: install-cat-mans
1012 uninstall-hook: uninstall-cat-mans
1013
1014 .et.h:
1015         $(COMPILE_ET) $<
1016 .et.c:
1017         $(COMPILE_ET) $<
1018
1019 #
1020 # Useful target for debugging
1021 #
1022
1023 check-valgrind:
1024         tobjdir=`cd $(top_builddir) && pwd` ; \
1025         tsrcdir=`cd $(top_srcdir) && pwd` ; \
1026         env TESTS_ENVIRONMENT="$${tobjdir}/libtool --mode execute valgrind --leak-check=full --trace-children=yes --quiet -q --num-callers=30 --suppressions=$${tsrcdir}/cf/valgrind-suppressions" make check
1027
1028 #
1029 # Target to please samba build farm, builds distfiles in-tree.
1030 # Will break when automake changes...
1031 #
1032
1033 distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1034         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1035           if test "$$subdir" != .; then \
1036           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1037           fi ; \
1038         done
1039
1040 $(libhdb_la_OBJECTS): $(srcdir)/hdb-protos.h $(srcdir)/hdb-private.h
1041
1042 $(srcdir)/hdb-protos.h:
1043         cd $(srcdir); perl ../../cf/make-proto.pl -q -P comment -o hdb-protos.h $(dist_libhdb_la_SOURCES) || rm -f hdb-protos.h
1044
1045 $(srcdir)/hdb-private.h:
1046         cd $(srcdir); perl ../../cf/make-proto.pl -q -P comment -p hdb-private.h $(dist_libhdb_la_SOURCES) || rm -f hdb-private.h
1047
1048 $(gen_files_hdb) hdb_asn1.h: hdb_asn1_files
1049
1050 hdb_asn1_files: ../asn1/asn1_compile$(EXEEXT) $(srcdir)/hdb.asn1
1051         ../asn1/asn1_compile$(EXEEXT) $(srcdir)/hdb.asn1 hdb_asn1
1052
1053 $(libhdb_la_OBJECTS): hdb_asn1.h hdb_err.h
1054
1055 # to help stupid solaris make
1056
1057 hdb_err.h: hdb_err.et
1058 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1059 # Otherwise a system limit (for SysV at least) may be exceeded.
1060 .NOEXPORT: